## zfs-linux 0.7.12

=== debian/changelog ===
zfs-linux (0.7.12-2+deb10u1) testing-proposed-updates; urgency=high

  * Patch: Disable SIMD on 4.19.37+ or 5.0+ kernels. (Closes: #929929)

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 09 Jun 2019 03:17:40 +0000

zfs-linux (0.7.12-2) unstable; urgency=medium

  [ Colin Ian King ]
  * Only run autopkgtests for amd64, arm64, ppc64el and s390x (LP#1805627).

  [ Martin Bagge / brother ]
  * [INTL:sv] Swedish strings for zfs-linux debconf (Closes: #918020)

  [ Anders Jonsson ]
  * sv.po: typo fix

  [ Mo Zhou ]
  * Change init script's behaviour to default during postinst.
  * Add ${perl:Depends} to zfs-dkms's Depends.
  * Add autopkgtest script to test zfs-dkms build.
  * autopkgtest: minor fix

  [ Aron Xu ]
  * Add XS-Autobuild: yes to d/control
  * Conflicts with insserv << 1.18 (Closes: #915831)

 -- Aron Xu <aron@debian.org>  Fri, 11 Jan 2019 21:32:06 +0800

zfs-linux (0.7.12-1) unstable; urgency=medium

  [ Stoiko Ivanov ]
  * Add Breaks/Replaces to zfs-initramfs

  [ Mo Zhou ]
  * New upstream version 0.7.12
  * Drop unnecessary patch init-start-stop-dep-on-local-fs.patch .
  * Override init.d-script-missing-dependency-on-local_fs for zfs-zed.
  * Bump linux compatibility to 4.19 .

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 19 Nov 2018 11:32:44 +0000

zfs-linux (0.7.11-3) unstable; urgency=medium

  [ Antonio Russo ]
  + https://salsa.debian.org/zfsonlinux-team/zfs/merge_requests/9
  * Break/Replace upstream .deb packages (Closes: #839921)
  * Install upstream bash completion file instead of embedded one.
  * Modify META before autoreconf.
  * Make dkms distdir before build to avoid including build artifacts.
  * Remove ZFS_AC_PACKAGE macros from DKMS sources.
    This removes dpkg-dev dependency from zfs-dkms package.
  * Use upstream's dkms.mkconf script to produce dkms.conf .
  * Ship initramfs zdev hook in zfs-initramfs (Closes: #902052)

  [ Nicolas Braud-Santoni ]
  * Update debian/copyright, removing unused wildcards.

  [ Nicholas D Steeves ]
  * Change -dbg package's priority from extra to optional.

  [ Mo Zhou ]
  * Fix FTBFS on architecture=all due to FileNotFound. (Closes: #911937)
  * Add isolation-machine restriction to autopkgtest because the tests
    needs to interact with the kernel, i.e. loading kernel module.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 28 Oct 2018 10:28:52 +0000

zfs-linux (0.7.11-2) unstable; urgency=medium

  * Support Devuan in dkms script. (Closes: #900089)
    Thanks to Chris Dos <chris@chrisdos.com>
  * Install init scripts to support non-systemd setups. (Closes: #826994)
    Thanks to Chris Dos <chris@chrisdos.com>
  * Override init.d-script-does-not-source-init-functions for
    zfsutils-linux and zfs-zed.
  * Patch upstream init scripts to make them work for Debian+OpenRC setup.
  * Patch upstream init script to fix missing dependency on local_fs.

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 26 Oct 2018 09:32:06 +0000
