=== debian/control ===
Source: zfs-linux
Section: contrib/kernel
Priority: optional
Maintainer: Debian ZFS on Linux maintainers <pkg-zfsonlinux-devel@alioth-lists.debian.net>
Uploaders: Aron Xu <aron@debian.org>,
           Petter Reinholdtsen <pere@debian.org>,
           Carlos Alberto Lopez Perez <clopez@igalia.com>,
           Mo Zhou <cdluminate@gmail.com>,
Build-Depends: autotools-dev,
               debhelper (>= 10.2),
               dh-autoreconf,
               dh-python,
               dkms (>> 2.1.1.2-5),
               libattr1-dev,
               libblkid-dev,
               libselinux1-dev,
               libtool,
               lsb-release,
               po-debconf,
               python3,
               uuid-dev,
               zlib1g-dev
Standards-Version: 4.1.2
Homepage: http://www.zfsonlinux.org/
Vcs-Git: https://salsa.debian.org/zfsonlinux-team/zfs.git
Vcs-Browser: https://salsa.debian.org/zfsonlinux-team/zfs
XS-Autobuild: yes

Package: libnvpair1linux
Section: contrib/libs
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libnvpair1
Replaces: libnvpair1
Description: Solaris name-value library for Linux
 This library provides routines for packing and unpacking nv pairs for
 transporting data across process boundaries, transporting between
 kernel and userland, and possibly saving onto disk files.

Package: libuutil1linux
Section: contrib/libs
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libuutil1
Replaces: libuutil1
Description: Solaris userland utility library for Linux
 This library provides a variety of glue functions for ZFS on Linux:
  * libspl: The Solaris Porting Layer userland library, which provides APIs
    that make it possible to run Solaris user code in a Linux environment
    with relatively minimal modification.
  * libavl: The Adelson-Velskii Landis balanced binary tree manipulation
    library.
  * libefi: The Extensible Firmware Interface library for GUID disk
    partitioning.
  * libshare: NFS, SMB, and iSCSI service integration for ZFS.

Package: libzfslinux-dev
Section: contrib/libdevel
Architecture: linux-any
Depends: libnvpair1linux (= ${binary:Version}),
         libuutil1linux (= ${binary:Version}),
         libzfs2linux (= ${binary:Version}),
         libzpool2linux (= ${binary:Version}),
         ${misc:Depends}
Provides: libnvpair-dev, libuutil-dev
Description: OpenZFS filesystem development files for Linux
 Header files and static libraries for compiling software against
 libraries of OpenZFS filesystem.
 .
 This package includes the development files of libnvpair1, libuutil1,
 libzpool2 and libzfs2.

Package: libzfs2linux
Section: contrib/libs
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libzfs2
Replaces: libzfs2
Description: OpenZFS filesystem library for Linux
 The Z file system is a pooled filesystem designed for maximum data
 integrity, supporting data snapshots, multiple copies, and data
 checksums.
 .
 The OpenZFS library provides support for managing OpenZFS filesystems.

Package: libzpool2linux
Section: contrib/libs
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libzpool2
Replaces: libzpool2
Description: OpenZFS pool library for Linux
 The Z file system is a pooled filesystem designed for maximum data
 integrity, supporting data snapshots, multiple copies, and data
 checksums.
 .
 This zpool library provides support for managing zpools.

Package: zfs-dkms
Architecture: all
Pre-Depends: spl-dkms (<<${source:Upstream-Version}.),
             spl-dkms (>= ${source:Upstream-Version})
Depends: dkms (>> 2.1.1.2-5), lsb-release, ${misc:Depends}, ${perl:Depends},
Recommends: zfs-zed, zfsutils-linux (>= ${binary:Version}), linux-libc-dev (<< 4.20~)
Provides: zfs-modules
Description: OpenZFS filesystem kernel modules for Linux
 The Z file system is a pooled filesystem designed for maximum data
 integrity, supporting data snapshots, multiple copies, and data
 checksums.
 .
 This DKMS package includes the SPA, DMU, ZVOL, and ZPL components of
 OpenZFS.

Package: zfs-initramfs
Architecture: all
Depends: busybox-initramfs | busybox-static | busybox,
         initramfs-tools,
         zfs-modules | zfs-dkms,
         zfsutils-linux (>= ${binary:Version}),
         ${misc:Depends}
Breaks: zfsutils-linux (<= 0.7.11-2)
Replaces: zfsutils-linux (<= 0.7.11-2)
Description: OpenZFS root filesystem capabilities for Linux - initramfs
 The Z file system is a pooled filesystem designed for maximum data
 integrity, supporting data snapshots, multiple copies, and data
 checksums.
 .
 This package adds OpenZFS to the system initramfs with a hook
 for the initramfs-tools infrastructure.

Package: zfs-dracut
Architecture: all
Depends: dracut,
         zfs-modules | zfs-dkms,
         zfsutils-linux (>= ${binary:Version}),
         ${misc:Depends}
Description: OpenZFS root filesystem capabilities for Linux - dracut
 The Z file system is a pooled filesystem designed for maximum data
 integrity, supporting data snapshots, multiple copies, and data
 checksums.
 .
 This package adds OpenZFS to the system initramfs with a hook
 for the dracut infrastructure.

Package: zfsutils-linux
Section: contrib/admin
Architecture: linux-any
Depends: python3, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Recommends: lsb-base, zfs-modules | zfs-dkms, zfs-zed
Breaks: zfs-dkms (<< ${binary:Version}), zfs-dkms (>> ${binary:Version})
Suggests: nfs-kernel-server,
          samba-common-bin (>= 3.0.23),
          zfs-initramfs | zfs-dracut
Conflicts: zfs, zfs-fuse, insserv (<< 1.18)
Provides: zfsutils
Description: command-line tools to manage OpenZFS filesystems
 The Z file system is a pooled filesystem designed for maximum data
 integrity, supporting data snapshots, multiple copies, and data
 checksums.
 .
 This package provides the zfs and zpool commands to create and administer
 OpenZFS filesystems.

Package: zfs-zed
Section: contrib/admin
Architecture: linux-any
Depends: zfs-modules | zfs-dkms,
         zfsutils-linux (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: OpenZFS Event Daemon
 The Z file system is a pooled filesystem designed for maximum data
 integrity, supporting data snapshots, multiple copies, and data
 checksums.
 .
 This package provides the OpenZFS Event Daemon (zed).

Package: zfs-test
Section: contrib/admin
Architecture: linux-any
Depends: acl,
         bc,
         fio,
         ksh,
         lsscsi,
         mdadm,
         parted,
         python,
         sudo,
         sysstat,
         zfs-modules | zfs-dkms,
         zfsutils-linux (>=${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: zfsutils-linux (<= 0.7.9-2)
Replaces: zfsutils-linux (<= 0.7.9-2)
Conflicts: zutils
Description: OpenZFS test infrastructure an support scripts
 The Z file system is a pooled filesystem designed for maximum data
 integrity, supporting data snapshots, multiple copies, and data
 checksums.
 .
 This package provides the OpenZFS test infrastructure for destructively
 testing and validating a system using OpenZFS. It is entirely optional
 and should only be installed and used in test environments.

Package: zfs-dbg
Section: contrib/debug
Priority: optional
Architecture: linux-any
Depends: libnvpair1linux (= ${binary:Version}),
         libuutil1linux (= ${binary:Version}),
         libzfs2linux (= ${binary:Version}),
         libzpool2linux (= ${binary:Version}),
         zfs-zed (= ${binary:Version}),
         zfsutils-linux (= ${binary:Version}),
         ${misc:Depends}
Description: Debugging symbols for OpenZFS userland libraries and tools
 The Z file system is a pooled filesystem designed for maximum data
 integrity, supporting data snapshots, multiple copies, and data
 checksums.
 .
 This package contains the debugging symbols for libzpool2linux, libzfs2linux,
 libnvpair1linux, libuutil1linux, zfs-zed and zfsutils-linux.
