=== debian/tests/control ===
Tests: kernel-smoke-test
Restrictions: needs-root, isolation-machine
Depends:
 zfsutils-linux [ amd64 arm64 ppc64el s390x ],
 zfs-zed [ amd64 arm64 ppc64el s390x ],
 zfs-initramfs [ amd64 arm64 ppc64el s390x ],
 zfs-dkms [ amd64 arm64 ppc64el s390x ],
 zfs-test [ amd64 arm64 ppc64el s390x ],

Tests: dkms-zfs-test
Restrictions: needs-root, allow-stderr
Depends: dkms,
 linux-headers-amd64 [amd64],
 linux-headers-arm64 [arm64],
 linux-headers-powerpc64le [ppc64el],
 linux-headers-s390x [s390x],
