## zfs-linux 0.8.1

=== debian/changelog ===
zfs-linux (0.8.1-1ubuntu14.4) eoan; urgency=medium

  * Fix deadlock in 'zfs rollback' (LP: #1847832)
    - Upstream ZFS fix e7a2fa70c3b0 ("Fix deadlock in 'zfs rollback')
      minor backport, wiggle and context adjustments.

 -- Colin Ian King <colin.king@canonical.com>  Tue, 10 Mar 2020 17:45:23 +0000

zfs-linux (0.8.1-1ubuntu14.3) eoan; urgency=medium

  * Fix livelock between ZFS evict and writeback threads (LP: #1856084)
    - Upstream ZFS fix 41e1aa2a06f8 ("Break out of zfs_zget early if unlinked
      znode")
    - Upstream ZFS fix 0c46813805f4 ("Check for unlinked znodes after
      igrab()")

 -- Heitor Alves de Siqueira <halves@canonical.com>  Thu, 12 Dec 2019 13:21:35 -0300

zfs-linux (0.8.1-1ubuntu14.2) eoan; urgency=medium

  * 4601-zfs-encryptionroot-quote.patch
    - remove quotation marks to fix zfs load-key errors in
      plymouth when using an encrypted pool (LP: #1852406)

 -- Colin Ian King <colin.king@canonical.com>  Wed, 13 Nov 2019 11:21:12 +0000

zfs-linux (0.8.1-1ubuntu14.1) eoan; urgency=medium

  * 4600-diff_cb-does-not-handle-large-dnodes.patch
    - fix zfs diff on snapshots with large dnodes (LP: #1849665)
      Minor backport of upstream ZFS commit d359e99c38f667
      ("diff_cb() does not handle large dnodes")

 -- Colin Ian King <colin.king@canonical.com>  Wed, 24 Oct 2019 16:07:23 +0100

zfs-linux (0.8.1-1ubuntu14) eoan; urgency=medium

  * debian/patches/4000-zsys-support.patch:
    - As we are not going to own in the end org.zsys, move our identifier
      tags to com.ubuntu.zsys (LP: #1847711)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 11 Oct 2019 08:28:05 +0200

zfs-linux (0.8.1-1ubuntu13) eoan; urgency=medium

  * debian/control*: Drop all zfs-modules deps, as our 64-bit kernels all
    provide the modules, and we already didn't depend on them on 32-bit.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 08 Oct 2019 15:42:02 -0600

zfs-linux (0.8.1-1ubuntu12) eoan; urgency=medium

  * Rename zsys-support.patch to 4000-zsys-support.patch 
  * debian/patches/4500-fix-generator-invalid-cache.patch:
    - Regenerate cache file if empty to fix a race for the mount
      generator and fstab which contains /boot/grub (LP: #1845606)
  * debian/patches/4501-fix-var-lib-race.patch:
    - Fix a race between systemd-random-seed and zfs mount -a if
      /var/lib is a separate persistent dataset. (LP: #1845298)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 27 Sep 2019 09:48:23 +0200

zfs-linux (0.8.1-1ubuntu11) eoan; urgency=medium

  * Restrict zfs-modules deps to 64-bit arches only to avoid zfs-dkms in main.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 05 Sep 2019 14:57:11 -0600

zfs-linux (0.8.1-1ubuntu10) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:17:48 +0000

zfs-linux (0.8.1-1ubuntu9) eoan; urgency=medium

  [ Colin Ian King ]
  * Apply upstream Linux 5.3 compat fixes:
    - debian/patches/3300-Linux-5.3-compat-rw_semaphore-owner.patch
    - debian/patches/3301-Linux-5.3-compat-retire-rw_tryupgrade.patch
  [ Thadeu Lima de Souza Cascardo ]
  * module/Makefile.in: Use obj-m instead of subdir-m
    - obj-m should be now used for module building

 -- Colin Ian King <colin.king@canonical.com>  Tue, 6 Aug 2019 15:52:42 +0100

zfs-linux (0.8.1-1ubuntu8) eoan; urgency=medium

  * debian/patches/git_fix_mount_race.patch:
    - Cherry-pick from upstream to fix a race when using canmount=off
      (LP: #1837717)
  * debian/patches/zsys-support.patch:
    - Don't clone on zsys non zsys bootfs. The zsys daemon will clone it for
      us.
    - Hook into zfs-mount-generator as step 1. We will need further
      optimization in a separate pass.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 24 Jul 2019 13:28:04 +0200

zfs-linux (0.8.1-1ubuntu7) eoan; urgency=medium

  * debian/control: Make zfs-dracut arch-restricted again, matching what
    was uploaded in 0.7.11-3ubuntu3 and mistakenly dropped in a merge.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 15 Jul 2019 15:50:40 -0600

zfs-linux (0.8.1-1ubuntu6) eoan; urgency=medium

  * Make zfs-initramfs architecture-dependent again, so it doesn't exist on
    our 32-bit archs and try to promote zfs-dkms to main.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 15 Jul 2019 08:12:29 -0700

zfs-linux (0.8.1-1ubuntu5) eoan; urgency=medium

  * Fix s390x stack smashing because a lua setjmp/longjmp buf was
    to small for this architecture.

 -- Colin Ian King <colin.king@canonical.com>  Thu, 5 Jul 2019 15:43:22 +0100

zfs-linux (0.8.1-1ubuntu4) eoan; urgency=medium

  * Ensure any previous ZFS/SPL modules are removed before loading
    new ZFS/SPL modules to ensure correct drivers are being tested.
    Changes in debian/tests/kernel-smoke-test
 
 -- Colin Ian King <colin.king@canonical.com>  Thu, 4 Jul 2019 12:22:21 +0100

zfs-linux (0.8.1-1ubuntu3) eoan; urgency=medium

  * Ensure libc6-dev or libc-dev is installed when building zfs-dkms
    as autotools needs to build test code that depends on this when
    doing the pre-build config probing.

 -- Colin Ian King <colin.king@canonical.com>  Wed, 3 Jul 2019 18:15:20 +0100

zfs-linux (0.8.1-1ubuntu2) eoan; urgency=medium

  * Disable dkms tests as Ubuntu has drivers built
    into the kernel.

 -- Colin Ian King <colin.king@canonical.com>  Wed, 3 Jul 2019 08:21:23 +0100

zfs-linux (0.8.1-1ubuntu1) eoan; urgency=medium

  * Sync from Debian experimental
  * Update Ubuntu sauce patches:
    - 0010-fix-install-path-of-zpool.d-scripts.patch
    - 2100-zfs-load-module.patch
    - 2200-add-zfs-0.6.x-ioctl-compat-shim.patch
    - 3100-remove-libzfs-module-timeout.patch
    - zsys-support.patch
  * Add in zfs-doc and zfs-dbg to control file
  * Limit to 64 bit architectures only

 -- Colin Ian King <colin.king@canonical.com>  Mon, 1 Jul 2019 09:29:11 +0100

zfs-linux (0.8.1-1) experimental; urgency=medium

  * New upstream version 0.8.1

