=== debian/control ===
--- 
+++ 
@@ -1,27 +1,30 @@
 Source: zfs-linux
 Section: contrib/kernel
 Priority: optional
-Maintainer: Debian ZFS on Linux maintainers <pkg-zfsonlinux-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian ZFS on Linux maintainers <pkg-zfsonlinux-devel@alioth-lists.debian.net>
 Uploaders: Aron Xu <aron@debian.org>,
            Petter Reinholdtsen <pere@debian.org>,
            Carlos Alberto Lopez Perez <clopez@igalia.com>,
            Mo Zhou <cdluminate@gmail.com>,
-Build-Depends: autotools-dev,
-               debhelper (>= 10.2),
-               dh-autoreconf,
+Build-Depends: debhelper-compat (= 10),
                dh-python,
                dkms (>> 2.1.1.2-5),
                libattr1-dev,
                libblkid-dev,
                libselinux1-dev,
+               libssl-dev | libssl1.0-dev,
                libtool,
                lsb-release,
                po-debconf,
-               python3,
+               python3-cffi,
+               python3-setuptools,
+               python3-sphinx,
+               python3-all-dev,
                uuid-dev,
                zlib1g-dev
-Standards-Version: 4.1.2
-Homepage: http://www.zfsonlinux.org/
+Standards-Version: 4.3.0
+Homepage: https://zfsonlinux.org/
 Vcs-Git: https://salsa.debian.org/zfsonlinux-team/zfs.git
 Vcs-Browser: https://salsa.debian.org/zfsonlinux-team/zfs
 XS-Autobuild: yes
@@ -96,12 +99,58 @@
  .
  This zpool library provides support for managing zpools.
 
+Package: python3-pyzfs
+Section: contrib/python
+Architecture: linux-any
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         python3-cffi,
+         zfsutils-linux (= ${binary:Version})
+Description: wrapper for libzfs_core C library
+ libzfs_core is intended to be a stable interface for programmatic
+ administration of ZFS. This wrapper provides one-to-one wrappers for
+ libzfs_core API functions, but the signatures and types are more natural to
+ Python.
+ .
+ nvlists are wrapped as dictionaries or lists depending on their usage.
+ Some parameters have default values depending on typical use for
+ increased convenience. Enumerations and bit flags become strings and lists
+ of strings in Python. Errors are reported as exceptions rather than integer
+ errno-style error codes.  The wrapper takes care to provide one-to-many
+ mapping of the error codes to the exceptions by interpreting a context
+ in which the error code is produced.
+
+Package: pyzfs-doc
+Section: contrib/doc
+Architecture: all
+Depends:
+ ${sphinxdoc:Depends},
+ ${misc:Depends}
+Recommends:
+ python3-pyzfs
+Description: wrapper for libzfs_core C library (documentation)
+ libzfs_core is intended to be a stable interface for programmatic
+ administration of ZFS. This wrapper provides one-to-one wrappers for
+ libzfs_core API functions, but the signatures and types are more natural to
+ Python.
+ .
+ nvlists are wrapped as dictionaries or lists depending on their usage.
+ Some parameters have default values depending on typical use for
+ increased convenience. Enumerations and bit flags become strings and lists
+ of strings in Python. Errors are reported as exceptions rather than integer
+ errno-style error codes.  The wrapper takes care to provide one-to-many
+ mapping of the error codes to the exceptions by interpreting a context
+ in which the error code is produced.
+ .
+ This package contains the documentation.
+
 Package: zfs-dkms
 Architecture: all
-Pre-Depends: spl-dkms (<<${source:Upstream-Version}.),
-             spl-dkms (>= ${source:Upstream-Version})
 Depends: dkms (>> 2.1.1.2-5), lsb-release, ${misc:Depends}, ${perl:Depends},
-Recommends: zfs-zed, zfsutils-linux (>= ${binary:Version}), linux-libc-dev (<< 4.20~)
+ file, python3-distutils, libc6-dev | libc-dev,
+Recommends: zfs-zed, zfsutils-linux (>= ${binary:Version}), linux-libc-dev (<< 5.2~), linux-libc-dev (>= 2.6.32~),
+Breaks: spl-dkms (<< 0.8.0~rc1),
+Replaces: spl-dkms,
 Provides: zfs-modules
 Description: OpenZFS filesystem kernel modules for Linux
  The Z file system is a pooled filesystem designed for maximum data
@@ -112,10 +161,9 @@
  OpenZFS.
 
 Package: zfs-initramfs
-Architecture: all
+Architecture: amd64 arm64 ppc64el s390x
 Depends: busybox-initramfs | busybox-static | busybox,
          initramfs-tools,
-         zfs-modules | zfs-dkms,
          zfsutils-linux (>= ${binary:Version}),
          ${misc:Depends}
 Breaks: zfsutils-linux (<= 0.7.11-2)
@@ -129,9 +177,8 @@
  for the initramfs-tools infrastructure.
 
 Package: zfs-dracut
-Architecture: all
+Architecture: amd64 arm64 ppc64el s390x
 Depends: dracut,
-         zfs-modules | zfs-dkms,
          zfsutils-linux (>= ${binary:Version}),
          ${misc:Depends}
 Description: OpenZFS root filesystem capabilities for Linux - dracut
@@ -145,9 +192,15 @@
 Package: zfsutils-linux
 Section: contrib/admin
 Architecture: linux-any
-Depends: python3, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
-Recommends: lsb-base, zfs-modules | zfs-dkms, zfs-zed
-Breaks: zfs-dkms (<< ${binary:Version}), zfs-dkms (>> ${binary:Version})
+Depends: python3, ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
+         libnvpair1linux (= ${binary:Version}),
+         libuutil1linux (= ${binary:Version}),
+         libzfs2linux (= ${binary:Version}),
+         libzpool2linux (= ${binary:Version}),
+Recommends: lsb-base, zfs-zed
+Breaks: spl-dkms (<< 0.8.0~rc1), spl (<< 0.7.9-2), zfs-dkms (<< ${binary:Version}),
+        zfs-dkms (>> ${binary:Version})
+Replaces: spl-dkms, spl (<< 0.7.9-2)
 Suggests: nfs-kernel-server,
           samba-common-bin (>= 3.0.23),
           zfs-initramfs | zfs-dracut
@@ -164,8 +217,7 @@
 Package: zfs-zed
 Section: contrib/admin
 Architecture: linux-any
-Depends: zfs-modules | zfs-dkms,
-         zfsutils-linux (>= ${binary:Version}),
+Depends: zfsutils-linux (>= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: OpenZFS Event Daemon
@@ -185,10 +237,10 @@
          lsscsi,
          mdadm,
          parted,
-         python,
+         python3,
+         python3-pyzfs,
          sudo,
          sysstat,
-         zfs-modules | zfs-dkms,
          zfsutils-linux (>=${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -204,21 +256,40 @@
  testing and validating a system using OpenZFS. It is entirely optional
  and should only be installed and used in test environments.
 
-Package: zfs-dbg
-Section: contrib/debug
-Priority: optional
-Architecture: linux-any
-Depends: libnvpair1linux (= ${binary:Version}),
-         libuutil1linux (= ${binary:Version}),
-         libzfs2linux (= ${binary:Version}),
-         libzpool2linux (= ${binary:Version}),
-         zfs-zed (= ${binary:Version}),
-         zfsutils-linux (= ${binary:Version}),
-         ${misc:Depends}
-Description: Debugging symbols for OpenZFS userland libraries and tools
- The Z file system is a pooled filesystem designed for maximum data
- integrity, supporting data snapshots, multiple copies, and data
- checksums.
- .
- This package contains the debugging symbols for libzpool2linux, libzfs2linux,
- libnvpair1linux, libuutil1linux, zfs-zed and zfsutils-linux.
+Package: spl
+Section: contrib/metapackages
+Architecture: all
+Depends: ${misc:Depends},
+Suggests: zfs-test
+Description: Solaris Porting Layer user-space utilities for Linux (dummy)
+ The Solaris Porting Layer (SPL) is a Linux kernel module which provides
+ many of the Solaris kernel APIs. This shim layer makes it possible to
+ run Solaris kernel code in the Linux kernel with relatively minimal
+ modification. The Solaris Porting LAyer Tests (SPLAT) is a Linux kernel
+ module which provides a testing harness for the SPL module.
+ .
+ SPL can be particularly useful when you want to track upstream Illumos
+ (or any other OpenSolaris fork) development closely and don't want the
+ overhead of maintaining a large patch which converts Solaris primitives
+ to Linux primitives.
+ .
+ This is a transitional dummy package. It can safely be removed.
+
+Package: spl-dkms
+Section: contrib/metapackages
+Architecture: all
+Depends: ${misc:Depends}, zfs-dkms
+Description: Solaris Porting Layer kernel modules for Linux (dummy)
+ The Solaris Porting Layer (SPL) is a Linux kernel module which provides
+ many of the Solaris kernel APIs. This shim layer makes it possible to
+ run Solaris kernel code in the Linux kernel with relatively minimal
+ modification. The Solaris Porting LAyer Tests (SPLAT) is a Linux kernel
+ module which provides a testing harness for the SPL module.
+ .
+ SPL can be particularly useful when you want to track upstream Illumos
+ (or any other OpenSolaris fork) development closely and don't want the
+ overhead of maintaining a large patch which converts Solaris primitives
+ to Linux primitives.
+ .
+ This is a transitional dummy package. It can safely be removed.
+ SPL dkms files had been merged into zfs-dkms as of ZFS 0.8.X series.
